Package: groovy.lang

## [Java] Annotation Type Target

- groovy.lang.DelegatesTo.Target

- Parameter annotation used to specify the delegate for a `@DelegatesTo` annotated parameter of the same method.

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String` | `value` An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public String value

      An identifier that should be used to disambiguate targets when there are multiple `@DelegatesTo.Target` annotated parameters. @default ""